List the asks about an animal
Every foster home asked to take the animal, newest first, with what each said, and the home it is placed with now (null when none). Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
foster-asks
List the asks about an animal
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/foster-asks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/foster-asks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/foster-asks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"batch_id": "<string>",
"foster_home_id": "<string>",
"home_name": "<string>",
"status": "open",
"reason": "record",
"note": "<string>",
"needed_from": "<string>",
"needed_until": "<string>",
"answer_note": "<string>",
"answered_at": "2023-11-07T05:31:56Z",
"asked_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"assignment_id": "<string>",
"asked_by_name": "<string>"
}
],
"current": {
"assignment_id": "<string>",
"foster_home_id": "<string>",
"started_on": "<string>",
"home_name": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
⌘I
List the asks about an animal
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/foster-asks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/foster-asks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/foster-asks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"batch_id": "<string>",
"foster_home_id": "<string>",
"home_name": "<string>",
"status": "open",
"reason": "record",
"note": "<string>",
"needed_from": "<string>",
"needed_until": "<string>",
"answer_note": "<string>",
"answered_at": "2023-11-07T05:31:56Z",
"asked_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"assignment_id": "<string>",
"asked_by_name": "<string>"
}
],
"current": {
"assignment_id": "<string>",
"foster_home_id": "<string>",
"started_on": "<string>",
"home_name": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
